Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbPeopleAssignments

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.JaxbPeopleAssignments

All Implemented Interfaces:
  Externalizable, Serializable, PeopleAssignments, org.kie.internal.task.api.model.InternalPeopleAssignments

    public class JaxbPeopleAssignments

extends Object
implements org.kie.internal.task.api.model.InternalPeopleAssignments

See Also:
  Serialized Form

Constructor Summary
`JaxbPeopleAssignments()`
`JaxbPeopleAssignments(PeopleAssignments peopleAssignments)`

Method Summary
`List<OrganizationalEntity>` | `getBusinessAdministrators()`
`List<OrganizationalEntity>` | `getExcludedOwners()`
`List<JaxbOrganizationalEntity>` | `getJaxbBusinessAdministrators()`
`List<JaxbOrganizationalEntity>` | `getJaxbExcludedOwners()`
`List<JaxbOrganizationalEntity>` | `getJaxbPotentialOwners()`
`List<JaxbOrganizationalEntity>` | `getJaxbRecipients()`
`List<JaxbOrganizationalEntity>` | `getJaxbTaskStakeholders()`
`List<OrganizationalEntity>` | `getPotentialOwners()`
`List<OrganizationalEntity>` | `getRecipients()`
`User` | `getTaskInitiator()`
`String` | `getTaskInitiatorId()`
`List<OrganizationalEntity>` | `getTaskStakeholders()`
`void` | `readExternal(ObjectInput arg0)`
`void` | `setBusinessAdministrators(List<OrganizationalEntity> businessAdministrators)`
`void` | `setExcludedOwners(List<OrganizationalEntity> excludedOwners)`
`void` | `setJaxbBusinessAdministrators(List<JaxbOrganizationalEntity> jaxbBusinessAdministrators)`
`void` | `setJaxbExcludedOwners(List<JaxbOrganizationalEntity> jaxbExcludedOwners)`
`void` | `setJaxbPotentialOwners(List<JaxbOrganizationalEntity> jaxbPotentialOwners)`
`void` | `setJaxbRecipients(List<JaxbOrganizationalEntity> jaxbRecipients)`
`void` | `setJaxbTaskStakeholders(List<JaxbOrganizationalEntity> jaxbTaskStakeholders)`
`void` | `setPotentialOwners(List<OrganizationalEntity> potentialOwners)`
`void` | `setRecipients(List<OrganizationalEntity> recipients)`
`void` | `setTaskInitiator(User taskInitiatorUser)`
`void` | `setTaskInitiatorId(String taskInitiatorId)`
`void` | `setTaskStakeholders(List<OrganizationalEntity> taskStakeholders)`
`void` | `writeExternal(ObjectOutput arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbPeopleAssignments

    public JaxbPeopleAssignments()

### JaxbPeopleAssignments

    public JaxbPeopleAssignments(PeopleAssignments peopleAssignments)

Method Detail

### getTaskInitiator

    public User getTaskInitiator()

  Specified by:
    `getTaskInitiator` in interface `PeopleAssignments`

### setTaskInitiator

    public void setTaskInitiator(User taskInitiatorUser)

  Specified by:
    `setTaskInitiator` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### getTaskInitiatorId

    public String getTaskInitiatorId()

### setTaskInitiatorId

    public void setTaskInitiatorId(String taskInitiatorId)

### getPotentialOwners

    public List<OrganizationalEntity> getPotentialOwners()

  Specified by:
    `getPotentialOwners` in interface `PeopleAssignments`

### setPotentialOwners

    public void setPotentialOwners(List<OrganizationalEntity> potentialOwners)

  Specified by:
    `setPotentialOwners` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### getJaxbPotentialOwners

    public List<JaxbOrganizationalEntity> getJaxbPotentialOwners()

### setJaxbPotentialOwners

    public void setJaxbPotentialOwners(List<JaxbOrganizationalEntity> jaxbPotentialOwners)

### getBusinessAdministrators

    public List<OrganizationalEntity> getBusinessAdministrators()

  Specified by:
    `getBusinessAdministrators` in interface `PeopleAssignments`

### setBusinessAdministrators

    public void setBusinessAdministrators(List<OrganizationalEntity> businessAdministrators)

  Specified by:
    `setBusinessAdministrators` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### getJaxbBusinessAdministrators

    public List<JaxbOrganizationalEntity> getJaxbBusinessAdministrators()

### setJaxbBusinessAdministrators

    public void setJaxbBusinessAdministrators(List<JaxbOrganizationalEntity> jaxbBusinessAdministrators)

### getExcludedOwners

    public List<OrganizationalEntity> getExcludedOwners()

  Specified by:
    `getExcludedOwners` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### setExcludedOwners

    public void setExcludedOwners(List<OrganizationalEntity> excludedOwners)

  Specified by:
    `setExcludedOwners` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### getJaxbExcludedOwners

    public List<JaxbOrganizationalEntity> getJaxbExcludedOwners()

### setJaxbExcludedOwners

    public void setJaxbExcludedOwners(List<JaxbOrganizationalEntity> jaxbExcludedOwners)

### getTaskStakeholders

    public List<OrganizationalEntity> getTaskStakeholders()

  Specified by:
    `getTaskStakeholders` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### setTaskStakeholders

    public void setTaskStakeholders(List<OrganizationalEntity> taskStakeholders)

  Specified by:
    `setTaskStakeholders` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### getJaxbTaskStakeholders

    public List<JaxbOrganizationalEntity> getJaxbTaskStakeholders()

### setJaxbTaskStakeholders

    public void setJaxbTaskStakeholders(List<JaxbOrganizationalEntity> jaxbTaskStakeholders)

### getRecipients

    public List<OrganizationalEntity> getRecipients()

  Specified by:
    `getRecipients` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### setRecipients

    public void setRecipients(List<OrganizationalEntity> recipients)

  Specified by:
    `setRecipients` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### getJaxbRecipients

    public List<JaxbOrganizationalEntity> getJaxbRecipients()

### setJaxbRecipients

    public void setJaxbRecipients(List<JaxbOrganizationalEntity> jaxbRecipients)

### readExternal

    public void readExternal(ObjectInput arg0)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput arg0)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.